<?

//системные функции
error_reporting(E_WARNING);
header('Content-type:text/html; charset=utf-8');
$st = microtime(1);

//получение данных от бд
$fo = fopen ('sys/data.txt','r');
$fr = fread($fo,filesize('sys/data.txt'));
$cn = explode('||',$fr);
if(!$fo || !$fr || !fclose($fo)){
	exit ('Критическая ошибка!<br/>Пожалуста, пройдите установку снова,или проверьте наличие файла data.txt в папке sys');}

//подключение к бд
if(!mysql_connect($cn[0],$cn[1],$cn[2])){
	exit ('Критическая ошибка!<br/>Пожалуста, пройдите установку снова,или проверьте правильность данных от бд в файле data.txt в папке sys');}

if(!mysql_select_db($cn[3])){
	exit ('Критическая ошибка!<br/>Пожалуста, пройдите установку снова,или проверьте правильность данных от бд в файле data.txt в папке sys');}

//проверка наличия фйла установки
if(file_exists('install.php')){
	exit ('Критическая ошибка!<br/>Пожалуста, удалите файл install.php');}

//системные функции
function admin_only()
{
$rpa = mysql_result(mysql_query('SELECT `admnick` FROM `config` WHERE id=1'),0);
$rpp = mysql_result(mysql_query('SELECT `admpass` FROM `config` WHERE id=1'),0);
if(@$_COOKIE['admnews'] != "$rpa///$rpp"){ include 'sys/head.php';
		echo '<div class="title2">Извините ,данная функция доступна только для администратора<br/><a href="admin.php">Админка</a></div>';
		include 'sys/end.php';exit;} }

function if_adm($str){
$rpa = mysql_result(mysql_query('SELECT `admnick` FROM `config` WHERE id=1'),0);
$rpp = mysql_result(mysql_query('SELECT `admpass` FROM `config` WHERE id=1'),0);
if(@$_COOKIE['admnews'] == "$rpa///$rpp"){
		return $str;}}


mysql_query('SET NAMES UTF8');
?>
